#### FORMAT

#### Synopsis

    HELP:   Floating point format
    TYPE:   OVERLAY
    SYNTAX: FORMAT.{BIN(TYPE=SYSTEM,ENDIAN=SYSTEM/BIG/LITTLE/LOCAL)/BCD(SIGNED,TYPE=UNPACKED/PACKED/ZONED,ZONE=ANY/ASCII/EBCDIC,FRACDIGITS=num)/STR(CHRSET=NONE/SYSTEM/ASCII/UCS1/UTF8/EBCDIC/UCS2BE/UTF16BE/UCS2LE/UTF16LE/UCS4BE/UTF32BE/UCS4LE/UTF32LE/LOCAL,SEPARATOR=SYSTEM/PERIOD/COMMA/APOSTROPHE,GROUPSEPARATOR/MARKER=num/NON/OFF/SYSTEM/PERIOD/COMMA/SPACE/APOSTROPHE,VALUE='str',ALLOWTRUNC)}

#### Description

The overlay 'format' allows you to choose a binary representation for floating point value. Depending on the format selected, different parameters can be set. See below for the options.